#ifndef SpielServerKlient_H
#define SpielServerKlient_H

#include <Klient.h>
#include <Text.h>

using namespace Network;
using namespace Framework;

class SpielServerKlient
{
private:
	SSLKlient *k;
	Text *fehler;
	bool verbunden;
	int ref;
	// privat
	bool verbinde( short port, char *ip );
	bool trenne();

public:
	// Konstruktor
	SpielServerKlient();
	// Destruktor
	~SpielServerKlient();
	// nicht constant
	bool downloadSpielHistorie( short port, char *ip, int spiel, char *gpf );
	// constant
	Text *getLetzterFehler() const;
	Text *zLetzterFehler() const;
	// Reference Counting
	SpielServerKlient *getThis();
	SpielServerKlient *release();
};

#endif